@charset "UTF-8";


/* ##############################################
##
##  ロード画面（header.php、header-loading.php）
##
############################################## */
/* --------------------
ロード画面 初期状態
-------------------- */
.home_loading_animation {
  display: none;
  position: fixed;
  inset: 0;
  z-index: 9999;
  justify-content: center;
  align-items: center;
  background: var(--color-white);
}

/* ------------------//
//  ローディング中
//------------------ */
body.is-loading .home_loading_animation {
  display: flex;
}
body.is-loading {
  overflow: hidden;
}

/* ------------------//
//  ローダー
//------------------ */

.loader {
  font-family: "Zen Maru Gothic", sans-serif;
  font-weight: 500;
  font-size: 1.4em;
  color: var(--color-turquoise);
  animation: loadingBlink 1s linear infinite alternate;
}

.loader::before {
  content: "Loading...";
}


@keyframes loadingBlink {
  to {
    opacity: 0;
  }
}


/* ------------------//
//  本体表示制御
//------------------ */
/* 初期非表示 */
.home .site,
.front-page .site {
  opacity: 0;
  transition: opacity .6s ease;
}

/* 表示 */
body.is-site-visible .site {
  opacity: 1;
}

/* ロード完了 */
body.is-ready .home_loading_animation {
  display: none;
}
